org.apache.xerces.xs

## Interface XSAttributeDeclaration

- All Superinterfaces:
    XSObject

      public interface XSAttributeDeclaration
      extends XSObject

  The interface represents the Attribute Declaration schema component.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getActualVC()` Deprecated. Use getValueConstraintValue().getActualValue() instead
    `short` | `getActualVCType()` Deprecated. Use getValueConstraintValue().getActualValueType() instead
    `XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `short` | `getConstraintType()` Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
    `java.lang.String` | `getConstraintValue()` Deprecated. Use getValueConstraintValue().getNormalizedValue() instead
    `XSComplexTypeDefinition` | `getEnclosingCTDefinition()` The complex type definition for locally scoped declarations (see `scope`), otherwise `null` if no such definition exists.
    `boolean` | `getInheritable()` Inheritable flag for the attribute.
    `ShortList` | `getItemValueTypes()` Deprecated. Use getValueConstraintValue().getListValueTypes() instead
    `XSObject` | `getParent()` XML Schema 1.1 The complex type definition or attribute group definition for locally scoped declarations (see `scope`), otherwise `null` if no such definition exists.
    `short` | `getScope()` [scope].
    `XSSimpleTypeDefinition` | `getTypeDefinition()` [type definition]: A simple type definition.
    `XSValue` | `getValueConstraintValue()` The actual value of the default or fixed value constraint.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Method Detail

    - #### getTypeDefinition

          XSSimpleTypeDefinition getTypeDefinition()

      [type definition]: A simple type definition.

    - #### getScope

          short getScope()

      [scope]. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

    - #### getEnclosingCTDefinition

          XSComplexTypeDefinition getEnclosingCTDefinition()

      The complex type definition for locally scoped declarations (see `scope`), otherwise `null` if no such definition exists. NOTE: deprecated for XML Schema 1.1

    - #### getParent

          XSObject getParent()

      XML Schema 1.1 The complex type definition or attribute group definition for locally scoped declarations (see `scope`), otherwise `null` if no such definition exists.

    - #### getConstraintType

          short getConstraintType()

      Value constraint: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

    - #### getConstraintValue

          java.lang.String getConstraintValue()

      Deprecated. Use getValueConstraintValue().getNormalizedValue() instead
      Value constraint: The constraint value with respect to the [type definition], otherwise `null`.

    - #### getActualVC

          java.lang.Object getActualVC()
                                       throws XSException

      Deprecated. Use getValueConstraintValue().getActualValue() instead
      Value Constraint: Binding specific actual constraint value or `null` if the value is in error or there is no value constraint.
      Throws:
        `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

    - #### getActualVCType

          short getActualVCType()
                                throws XSException

      Deprecated. Use getValueConstraintValue().getActualValueType() instead
      The actual constraint value built-in datatype, e.g. `STRING_DT, SHORT_DT`. If the type definition of this value is a list type definition, this method returns `LIST_DT`. If the type definition of this value is a list type definition whose item type is a union type definition, this method returns `LISTOFUNION_DT`. To query the actual constraint value of the list or list of union type definitions use `itemValueTypes`. If the `actualValue` is `null`, this method returns `UNAVAILABLE_DT`.
      Throws:
        `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

    - #### getItemValueTypes

          ShortList getItemValueTypes()
                                      throws XSException

      Deprecated. Use getValueConstraintValue().getListValueTypes() instead
      In the case the actual constraint value represents a list, i.e. the `actualValueType` is `LIST_DT`, the returned array consists of one type kind which represents the itemType. If the actual constraint value represents a list type definition whose item type is a union type definition, i.e. `LISTOFUNION_DT`, for each actual constraint value in the list the array contains the corresponding memberType kind. For examples, see `ItemPSVI.itemValueTypes`.
      Throws:
        `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support this method.

    - #### getValueConstraintValue

          XSValue getValueConstraintValue()

      The actual value of the default or fixed value constraint.

    - #### getAnnotation

          XSAnnotation getAnnotation()

      An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

    - #### getInheritable

          boolean getInheritable()

      Inheritable flag for the attribute.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.